View Issue Details

IDProjectCategoryView StatusLast Update
0004704Kali Linux[All Projects] Queued Tool Additionpublic2019-09-16 11:26
Reportercaffix Assigned Tosbrun  
PrioritynormalSeveritytextReproducibilityN/A
Status resolvedResolutionfixed 
Product Version2018.1 
Target Version2019.3Fixed in Version2019.3 
Summary0004704: Amass - Information Gathering Tool
DescriptionAmass provides a greater number and more accurate results than Sublist3r.

Amass is the subdomain enumeration tool with the largest number of disparate data sources that performs analysis of the resolved names in order to deliver the largest number of quality results.

Amass performs scraping of data sources, recursive brute forcing, crawling of web archives, permuting and altering of names, reverse DNS sweeping, and other techniques to obtain subdomain names. The architecture makes it easy to add new subdomain enumeration techniques as they are developed.

DNS name resolution is performed across many public servers so the authoritative server will see traffic coming from different locations.
Additional InformationThe project can be found here: https://github.com/caffix/amass

I can be found here: https://twitter.com/jeff_foley

Relationships

has duplicate 0005145 resolvedsbrun OWASP Amass - In-depth DNS Enumeration and Network Mapping 

Activities

g0tmi1k

2018-04-18 07:24

administrator   ~0009051

To help speed up the process of evaluating the tool, please make sure to include the following information (the more information you include, the more beneficial it will for us):

- [Name] - The name of the tool
- [Version] - What version of the tool should be added?
--- If it uses source control (such as git), please make sure there is a release to match (e.g. git tag)
- [Homepage] - Where can the tool be found online? Where to go to get more information?
- [Download] - Where to go to get the tool? either a download page or a link to the latest version
- [Author] - Who made the tool?
- [Licence] - How is the software distributed? What conditions does it come with?
- [Description] - What is the tool about? What does it do?
- [Dependencies] - What is needed for the tool to work?
- [Similar tools] - What other tools are out there?
- [Activity] - When did the project start? Is is still actively being deployed?
- [How to install] - How do you compile it?
--- Note, using source code to acquire (e.g. git clone/svn checkout) can't be used - Also downloading from the head. Please use a "tag" or "release" version.
- [How to use] - What are some basic commands/functions to demonstrate it?

caffix

2018-05-24 23:47

reporter   ~0009179

- [Name] - amass
- [Version] - v1.5.1
- [Homepage] - https://github.com/caffix/amass
- [Download] - https://github.com/caffix/amass/releases/tag/v1.5.1
- [Author] - Jeff Foley
- [Licence] - Apache 2.0
- [Description] - Amass performs subdomain enumeration via scraping of data sources, recursive brute forcing, crawling of web archives, permuting and altering of names, reverse DNS sweeping and other techniques.
- [Dependencies] - None
- [Similar Tools] - Sublist3r
- [Activity] - It started in Sept 2017 and is still under development.
- [How to Install] - The 64-bit binary is in the following zip file: https://github.com/caffix/amass/releases/download/v1.5.1/amass_1.5.1_linux_amd64.zip
- [How to Use] - $ amass -v -ip -d example.com
The command above will enumerate subdomains of the example.com domain and provide IP addresses and verbose output.

g0tmi1k

2019-08-13 13:10

administrator   ~0010862

Heads up, the latest version can be found here: https://github.com/OWASP/Amass/releases

sbrun

2019-08-19 06:40

manager   ~0010905

version 3.0.27-0kali1 is in kali-rolling

Issue History

Date Modified Username Field Change
2018-04-17 20:32 caffix New Issue
2018-04-18 07:24 g0tmi1k Summary Add Amass to the Kali Information Gathering Tools => Amass - Information Gathering Tool
2018-04-18 07:24 g0tmi1k Note Added: 0009051
2018-05-24 23:47 caffix Note Added: 0009179
2019-08-13 13:10 g0tmi1k Note Added: 0010862
2019-08-13 14:13 rhertzog Assigned To => sbrun
2019-08-13 14:13 rhertzog Status new => assigned
2019-08-13 14:13 rhertzog Category New Tool Requests => Queued Tool Addition
2019-08-13 14:13 rhertzog Target Version => 2019.3
2019-08-19 06:40 sbrun Status assigned => resolved
2019-08-19 06:40 sbrun Resolution open => fixed
2019-08-19 06:40 sbrun Note Added: 0010905
2019-08-19 06:41 sbrun Fixed in Version => 2019.3
2019-09-16 11:26 sbrun Relationship added has duplicate 0005145